Anonymous Login
2019-06-16 20:26 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000107v4.0 Release (Planning)Emailspublic2016-12-29 10:16
Reportercaseydk 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusacknowledgedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0000107: Remove Hard Coded Parameters from New User Request Email
DescriptionAs noted by Pedro - http://web2project.net/forums/viewtopic.php?t=568 - the New User Request form - /do_user_aed.php - has some settings hard coded:

notifyHR('hr@yourdomain.com', 'w2P System Human Resources', $contact->contact_email, $contact->contact_first_name, $obj->user_username, $_POST['user_password'], $obj->user_id);

This should be changed to be a system setting.

TagsNo tags attached.
Attached Files

-Relationships
child of 0000154new Pending Requests Hard-coded System Parameters 
child of 0000105assignedcaseydk Pending Requests Email Templating 
+Relationships

-Notes

~0000283

caseydk (administrator)

The 'New Account Created' email needs to be cleaned up. This is in ./do_user_aed.php somewhere around line 149.

~0003494

caseydk (administrator)

Resolved in v4.0 development:
https://github.com/web2project/web2project/commit/2f9d36ce325cc3d9d8328dae3021786d8ee8a545

~0003853

caseydk (administrator)


I'm changing this issue to acknowledged.

While it's resolved in the v4.0 development branch. That is going to be reviewed commit by commit and merged into a new development branch over the next couple months.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-21 17:18 caseydk New Issue
2009-02-28 19:28 caseydk Summary Remove New User Request Notification => Remove Hard Coded Parameters from New User Request Notification
2009-05-06 09:15 caseydk Relationship added child of 0000154
2009-05-24 16:33 caseydk Note Added: 0000283
2009-08-14 07:45 caseydk Summary Remove Hard Coded Parameters from New User Request Notification => Remove Hard Coded Parameters from New User Request Email
2011-02-24 00:56 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-03-07 06:11 caseydk Relationship added child of 0000105
2011-06-07 22:16 caseydk Project v2.4 Release (Closed) => Pending Requests
2014-06-16 22:41 caseydk Project Pending Requests => v4.0 Release (Planning)
2014-06-16 22:41 caseydk Category General => Emails
2014-06-16 22:43 caseydk Note Added: 0003494
2014-06-16 22:43 caseydk Status new => resolved
2014-06-16 22:43 caseydk Fixed in Version => 4.0
2014-06-16 22:43 caseydk Resolution open => fixed
2014-06-16 22:43 caseydk Assigned To => caseydk
2014-06-16 22:44 caseydk Target Version => 4.0
2016-12-29 10:16 caseydk Status resolved => acknowledged
2016-12-29 10:16 caseydk Note Added: 0003853
+Issue History